<?php
namespace Claromentis\Infocapture\UI;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_d3b2122e" . "727b24e30" . "29add87aa" . "541df6" => base64_decode("aW5mb2NhcHR1cmUvVUkvYWxsX3JlcG9ydHNfaWNvbi5odG1" . "s"), "_b6994edb19" . "ee8e38970be" . "4ca846e333a" => base64_decode("YWxsX3JlcG9y" . "dHNfbGlua3Mu" . "dmlzaWJsZQ=="));
use TemplaterComponentTmpl;








class AllReportsIcon extends TemplaterComponentTmpl
{
    public function Show($attributes)
    {
        $args = array();
        $_7619e74fb7252ad8bb1e971cf69702f0 = new \HDProjectsList();
        $_7619e74fb7252ad8bb1e971cf69702f0->SetPermsChecking(HD_PERM_REPORTS);
        if ($_7619e74fb7252ad8bb1e971cf69702f0->GetCount() > 0) {
            $args[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_b6994edb19ee8" . "e38970be4ca846" . "e333a"]] = 1;
        }
        $template = $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_d3b2122e727b2" . "4e3029add87aa5" . "41df6"];
        return $this->CallTemplater($template, $args);
    }
}